package com.redxun.knowledge.album.entity.dao;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <pre>
 *
 * 描述：业务--专辑点评审批表实体类定义
 * 表:KM_ALBUM_YELP_APPROVE
 * 作者：Zizg
 * 邮箱: ray@redxun.cn
 * 日期:2023-01-31 10:07:09
 * 版权：
 * </pre>
 */



@Setter
@Getter
@Accessors(chain = true)
@TableName(value = "KM_ALBUM_YELP_APPROVE")
public class AlbumYelpApprove  extends BaseExtEntity<String> {

    @JsonCreator
    public AlbumYelpApprove() {
    }

    //主键
    @TableId(value = "PK_ID",type = IdType.INPUT)
	private String pkId;

    //专辑ID
    @TableField(value = "ALBUM_ID")
    private String albumId;
    //审批结论;0-不通过 1-通过
    @TableField(value = "RESULT")
    private Integer result;
    //审批意见
    @TableField(value = "REMARK")
    private String remark;
    //审批人ID;节点预设人员或者部门ID
    @TableField(value = "APPROVER_ID")
    private String approverId;
    //审批人名称;可以是人员或者部门名称
    @TableField(value = "APPROVER_NAME")
    private String approverName;
    //实际审批人ID;可以是人员ID或者部门下内部人员ID
    @TableField(value = "ACTUAL_APPROVER")
    private String actualApprover;
    //实际审批人名称;可以是人员名称或者部门下内部人员名称
    @TableField(value = "ACTUAL_APPROVER_NAME")
    private String actualApproverName;
    //节点审核时间
    @TableField(value = "APPROVAL_TIME")
    private java.util.Date approvalTime;
    //排序
    @TableField(value = "SORT")
    private Integer sort;
    //是否最终审核节点;最终审核节点：0-不是  1-是
    @TableField(value = "IS_FINAL")
    private Integer isFinal;
    //删除标记;删除状态：0-正常  1-删除
    @TableLogic
    @TableField(value = "IS_DEL")
    private Integer isDel;



    @Override
    public String getPkId() {
        return pkId;
    }

    @Override
    public void setPkId(String pkId) {
        this.pkId=pkId;
    }


    /**
    生成子表属性的Array List
    */

}



