package com.redxun.knowledge.album.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 文件名: AlbumApproveListVo
 * 作者: Zizg
 * 时间: 2023/2/6
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("专辑审核列表")
@Data
public class AlbumApproveListVo implements Serializable {

    @ApiModelProperty("专辑Id 跳转待审核页面使用")
    private String pkId;

    @ApiModelProperty("专辑名称")
    private String albumName;

    @ApiModelProperty("专辑所属分类")
    private String categoryName;

    @ApiModelProperty("专辑负责人")
    private String ownerName;

    @ApiModelProperty("创建时间")
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date createTime;

    @ApiModelProperty("审核状态")
    private String approvalStateName;

    @ApiModelProperty("审核人名称")
    private String previousApproverName;

    @ApiModelProperty("审核时间")
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date previousApproverTime;

    @ApiModelProperty("动作标记")
    private List<String> actionFlag;

    @ApiModelProperty("版本Id")
    private String versionId;

    @ApiModelProperty("审核表主键Id 提交审核时使用")
    private String approvalId;


    @ApiModelProperty("节点审核人Id 前端不需要使用")
    private String approverId;

}
