package com.redxun.knowledge.album.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 文件名: AlbumInfoDetailVo
 * 作者: Zizg
 * 时间: 2023/2/2
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("专辑详情回显")
@Data
public class AlbumInfoDetailVo implements Serializable {

    @ApiModelProperty("专辑ID")
    private String pkId;

    @ApiModelProperty("专辑名称")
    private String name;

    @ApiModelProperty("专辑封面")
    private String cover;

    @ApiModelProperty("专辑负责人姓名")
    private String owner;

    @ApiModelProperty("创建时间")
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date createTime;

    @ApiModelProperty("所属公司名称")
    private String ownerCompany;

    @ApiModelProperty("所属部门名称")
    private String ownerDepartment;

    @ApiModelProperty("分类名称")
    private String categoryName;

    @ApiModelProperty("状态 0-专辑关闭  1-专辑开启")
    private Integer state;

    @ApiModelProperty("专辑状态名称")
    private String stateName;

    @ApiModelProperty("访问量")
    private Integer views;

    @ApiModelProperty("点评量")
    private Integer yelpTotal;

    @ApiModelProperty("版本状态 1-审核中  2-生效中  3-未生效  4-驳回")
    private Integer versionState;

    @ApiModelProperty("版本状态名称")
    private String versionStateName;

    @ApiModelProperty("专辑版本")
    private List<AlbumVersionVo> versions;

    @ApiModelProperty("动作标记")
    private List<String> actionFlag;
}
