package com.redxun.knowledge.album.service;

import com.redxun.common.base.db.BaseDao;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.service.impl.SuperServiceImpl;
import com.redxun.knowledge.album.entity.dao.AlbumApprovalNode;
import com.redxun.knowledge.album.mapper.AlbumApprovalNodeMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
* [业务--专辑审核流程节点表]业务服务类
*/
@Service
public class AlbumApprovalNodeServiceImpl extends SuperServiceImpl<AlbumApprovalNodeMapper, AlbumApprovalNode> implements BaseService<AlbumApprovalNode> {

    @Resource
    private AlbumApprovalNodeMapper albumApprovalNodeMapper;

    @Override
    public BaseDao<AlbumApprovalNode> getRepository() {
        return albumApprovalNodeMapper;
    }

    /**
     * 清除原有数据
     */
    public void deleteAll() {
        albumApprovalNodeMapper.deleteAll();
    }

    /**
     * 获取专辑审核流程模板
     * @return
     */
    public List<Map<String, Object>> approvalTemplate() {
        List<AlbumApprovalNode> albumApprovalNodeList =
                albumApprovalNodeMapper.selectList(null);
        List<Map<String, Object>> result = albumApprovalNodeList.parallelStream().map(e -> {
            Map<String, Object> map = new HashMap<>();
            map.put("name",e.getName());
            map.put("approverName",e.getApproverName());
            map.put("approvalStatus","--");
            map.put("comment","--");
            map.put("createTime","--");
            return map;
        }).collect(Collectors.toList());
        return result;
    }
}
