package com.redxun.knowledge.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.base.entity.IUser;
import com.redxun.common.base.entity.JsonResult;
import com.redxun.common.model.JPaasUser;
import com.redxun.common.utils.ContextUtil;
import com.redxun.common.utils.ExceptionUtil;
import com.redxun.dto.user.OsUserDto;
import com.redxun.knowledge.common.MessageService;
import com.redxun.knowledge.common.UserService;
import com.redxun.knowledge.qywexin.QYWechatConn;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.checkerframework.checker.index.qual.GTENegativeOne;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.print.attribute.standard.JobSheets;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Slf4j
@RestController
@RequestMapping("/api-knowledge/knowledge/test")
@Api(tags = "业务--测试用")
@ClassDefine(title = "测试用", alias = "BannerController", path = "/api-knowledge/knowledge/test", packages = "", packageName = "子系统名称")
public class TestController extends BaseController {

    @Autowired
    private UserService userService;

    @Autowired
    private MessageService messageService;

    @Override
    public BaseService getBaseService() {
        return null;
    }

    @Override
    public String getComment() {
        return null;
    }

    @Resource
    private QYWechatConn qyWechatConn;

    @ApiOperation(value = "测试缓存")
    @GetMapping("testCache")
    public JsonResult testCache() {
        JsonResult jsonResult = JsonResult.getSuccessResult("返回数据成功!");
        try {
            jsonResult.setData(qyWechatConn.getAccessToken());
        } catch (Exception e) {
            jsonResult.setSuccess(false);
            this.logger.error(ExceptionUtil.getExceptionMessage(e));
            jsonResult.setMessage(ExceptionUtil.getExceptionMessage(e));
        }
        return jsonResult;
    }

    @ApiOperation(value = "测试发送消息")
    @GetMapping("testPostTextMsg")
    public JsonResult testPostTextMsg() {
        JsonResult jsonResult = JsonResult.getSuccessResult("返回数据成功!");
        try {
            jsonResult.setData(qyWechatConn.postTextMsg("发送测试消息", "0114868", "0114935"));
        } catch (Exception e) {
            jsonResult.setSuccess(false);
            this.logger.error(ExceptionUtil.getExceptionMessage(e));
            jsonResult.setMessage(ExceptionUtil.getExceptionMessage(e));
        }
        return jsonResult;
    }

    @ApiOperation(value = "测试微信转换人员")
    @GetMapping("testTransferUser")
    public JsonResult testTransferUser(@RequestParam String userId) {
        JsonResult jsonResult = JsonResult.getSuccessResult("返回数据成功!");

        try {
            jsonResult.setData(qyWechatConn.wechatUserTransfer(userId));
        } catch (Exception e) {
            jsonResult.setSuccess(false);
            this.logger.error(ExceptionUtil.getExceptionMessage(e));
            jsonResult.setMessage(ExceptionUtil.getExceptionMessage(e));
        }
        return jsonResult;
    }

    @GetMapping("/user")
    public JsonResult testUser(){
        JsonResult jsonResult = JsonResult.getSuccessResult("返回数据成功!");
        JPaasUser jPaasUser = userService.queryUser("0888888");
        jsonResult.setData(jPaasUser);
        log.info("当前登录人id -> {}",userService.queryLoginUser());
        log.info("当前登录人姓名 -> {}",userService.queryLoginFullName());
        log.info("当前登录人username -> {}",userService.queryLoginUsername());
        log.info("当前登录人deptId -> {}",userService.queryLoginUserDeptId());
        return jsonResult;
    }

    @GetMapping("testSendMessage")
    public JsonResult testSendMessage(){
        JsonResult jsonResult = JsonResult.getSuccessResult("返回数据成功!");
        List<OsUserDto> list = new ArrayList<>();
        IUser curUser = ContextUtil.getCurrentUser();
        OsUserDto sender = new OsUserDto();
        sender.setUserId(curUser.getUserId());
        sender.setFullName(curUser.getFullName());
        messageService.sendInnerMsg("[关于测试一下发送消息]","[把大象放冰箱中分三步]",list);
        return jsonResult;
    }

    @GetMapping("userSexAndPhoto")
    public JsonResult userSexAndPhoto(){
        JsonResult jsonResult = JsonResult.getSuccessResult("返回数据成功!");
        Map<String, Object> map = userService.querySexAndPhoto("1");
        jsonResult.setData(map);
        return jsonResult;
    }

    @GetMapping("userGrand")
    public JsonResult userGrand(){
        JsonResult jsonResult = JsonResult.getSuccessResult("返回数据成功!");
        OsUserDto osUserDto = userService.queryOsUserDto("1");
        jsonResult.setData(osUserDto);
        return jsonResult;
    }


}
