package com.redxun.knowledge.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

// 知识审核列表VO
@Data
public class KnowledgeApprovalListVo {

    //主键
    private String pkId;

    //知识ID;对应知识表主键ID
    private String knowledgerId;

    //知识标题
    private String titles;

    //知识类型;1-文档知识 2-维基知识
    private Integer type;

    //知识分类ID;对应知识分类表ID
    private String categoryId;

    //作者;作者名称
    private String author;

    //操作时间
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date createTime;

    //审批状态;1-待节点审核 2-节点驳回 3-待最终审核 4-最终驳回 5-最终通过
    private Integer approvalStatus;

    // 审核人
    private String createBy;

    //最近一次审核时间
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date ApprovalTime;

    //审批结论;0-不通过 1-通过
    private Integer result;

    //是否最终审核节点;0-不是 1-是
    private Integer isFinal;

    //审批人名称
    private String approverName;

    //审批人Id
    private String approverId;

    //分类信息
    private KnowledgeCategoryAdminVo knowledgeCategoryAdminVo;

    // 当前登录人是否能审核 (0 能审核 1 不能审核)
    private Integer isAudit;
}

