package com.redxun.knowledge.map.mapper;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.entity.dao.Banner;
import com.redxun.knowledge.map.entity.dao.Map;
import com.redxun.knowledge.map.entity.vo.MapPcVo;
import com.redxun.knowledge.map.entity.vo.MapVo;
import com.redxun.knowledge.map.entity.vo.OsUserVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* 业务--知识地图表数据库访问层
*/
@Mapper
public interface MapMapper extends BaseDao<Map> {

    IPage findAllMap(IPage<Map> page, @Param("params") java.util.Map<String, Object> params, @Param("order") java.util.Map<String, Object> order);


    /**
     * PC端查询详情
     * @param pkId
     * @return
     */
    MapPcVo info(String pkId);

    /**
     * 获取地图名称、所属组织、地图类型、操作人和操作时间）
     * @param page
     * @param params
     * @return
     */
    IPage<OsUserVo> queryGroupUsers(IPage page, @Param("w") java.util.Map<String, String> params);
}
